<?php
// $Id: page.tpl.php,v 1.2 2008/04/23 16:49:55 hswong3i Exp $
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php print $language->language ?>" lang="<?php print $language->language ?>" dir="<?php print $language->dir ?>">

<head profile="http://gmpg.org/xfn/11">
  <title><?php print $head_title ?></title>
  <?php print $head ?>
  <?php print $styles ?>
  <?php print $scripts ?>
  <script type="text/javascript"><?php /* Needed to avoid Flash of Unstyle Content in IE */ ?> </script>
</head>

<body class="<?php print $body_classes ?>">
<div id="page"><!-- begin page -->
  <div id="header"><!-- begin header -->
    <?php if ($logo) { ?><div id="logo"><a href="<?php print $base_path ?>" title="<?php print $site_name ?>"><img src="<?php print $logo ?>" alt="<?php print $site_name ?>" /></a></div><?php } ?>
    <div id="slogan-floater"><!-- begin slogan-floater -->
      <?php if ($site_name) { ?><h1 class='site-name'><a href="<?php print $base_path ?>" title="<?php print $site_name ?>"><?php print $site_name ?></a></h1><?php } ?>
      <?php if ($site_slogan) { ?><div class='site-slogan'><?php print $site_slogan ?></div><?php } ?>
    </div><!-- end slogan-floater -->
    <?php print $header; ?>
    <?php if (isset($primary_links)): print theme('links', $primary_links, array('class' => 'links primary-links')); endif; ?>
  </div><!-- end header -->
  <div id="breadcrumb"><!-- begin breadcrumb -->
    <?php print $breadcrumb ?>
  </div><!-- end breadcrumb -->
  <div id="content"><!-- begin content -->
    <?php if ($mission): print '<div id="mission">'. theme('mission') .'</div>'; endif; ?>
    <?php if ($left) { ?>
      <div id="sidebar-left" class="sidebar"><!-- begin sidebar-left -->
        <?php print $left ?>
      </div><!-- end sidebar-left -->
    <?php } ?>
    <?php if ($left || $right) { ?><div id="main"><!-- begin main --><?php } ?>
      <div id="squeeze">
        <?php if ($title): print '<h2 class="title'. ($tabs ? ' with-tabs' : '') .'">'. $title .'</h2>'; endif; ?>
        <?php if ($tabs): print '<div class="tabs">'. $tabs .'</div>'; endif; ?>
        <?php if ($show_messages && $messages): print $messages; endif; ?>
        <?php print $help; ?>
        <?php print $content; ?>
        <?php print $feed_icons; ?>
      </div>
    <?php if ($left || $right) { ?></div><!-- end main --><?php } ?>
    <?php if ($right) { ?>
      <div id="sidebar-right" class="sidebar"><!-- begin sidebar-right -->
        <?php print $search_box ?>
        <?php print $right ?>
      </div><!-- end sidebar-right -->
    <?php } ?>
  </div><!-- end content -->
  <div id="footer"><!-- start footer -->
    <?php print $footer ?>
    <?php print $footer_message ?>
  </div><!-- end footer -->
</div><!-- end page -->
<?php print $closure ?>
</body>
</html>
